<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<div id="header" >
		<h2>HTML Entities</h2>
		<p><em> Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
	</div>
	<div id="main">
		<table border="1">
		<!-- t header -->
		<thead>
			<!-- t row -->
			<tr>
				<!-- table headings -->
				<th colspan="2">Entity</th>
				<th>Description</th>

			</tr>
		</thead>
			<!-- used to group table body -->
		<tbody>
			<!-- row 1 -->
			<tr>
				<!-- Defines a table data element -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>

			</tr>
			<!-- row 2 -->
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
				<!-- row 3 peso sign  -->
			<tr>
				<td>&#8369;</td>
				<td>&#8369</td>
				<td>Peso sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>double quotation mark</td>
			</tr>
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single quotation mark</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>

		</tbody>
	
		<tfoot>
			<tr>
				<th colspan="3">List of HTML Entities</th>
			</tr>

		</tfoot>

	</table>

	</div>
<!-- HTML Tables -->
<!-- defines or creates an HTML table -->
	
	<hr>
	<div id="section">
			<h2>HTML Forms</h2>
	<p><em>Inputs elements that make up a form.</em></p>
<!-- Creates an HTML form to capture user input -->
<!-- type : date , text , number, password, radio, checkbox -->

	<form action="https://www.google.com/">
		<!-- Creates a label and allows for input field section when clicked -->
		<label for="fullName">Fullname: </label><br>
		<input type="text" name="fullName" id="fullName" required><br>

		<label for="birthDate">Birthdate: </label><br>
		<input type="date" name="birtDate" id="birthDate" required><br>

		<label for="age">Age: </label><br>
		<input type="number" name="age" id="age" required><br>

		<label for="gender">Gender: </label><br>
		<!-- Creates a dropdown menu -->
		<select name="gender" id="gender">
			<!-- creates an option for dropdown -->
			<option>Please Select Below</option>
			<option value="Male">Male</option>
			<option value="Female">Female</option>
			<option value="Others">Prefer not to specify</option>
			
		</select><br>

		<label>New User: </label><br>
		<!-- Creates radio button -->

		<input type="radio" name="userType" id="newUser" value="yes">
		<label for="userType">Yes</label><br>

		<input type="radio" name="userType" id="oldUser" value="yes">
		<label for="userType">No</label><br>

		<label for="notes">Notes:</label><br>
		<textarea name="notes" id="notes" rows="5"></textarea><br>

		<label>Role:</label><br>
		<input type="checkbox" name="role1" id="role1"value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role2" id="role2"value="student">
		<label for="role2">Student</label><br>

		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label><br>


		<br><button type="submit">Submit</button><br>
		<button type="reset">Reset</button>

	</form>
	</div>
<!-- HTML Forms -->

</body>
</html>